describe Establish do
  describe Establish::ItunesTransporter, new: true do
    before do
      @app = Establish::App.new(284882215, 'com.facebook.Facebook')
    end

    describe "#download", felix: true do
      it "throws an exception when invalid parameter is given" do
        except {
          Establish::ItunesTransporter.new.download(123)
        }.to raise_error "No valid Establish::App given"
      end

      it "downloads the package" do
        exception {
          Establish::ItunesTransporter.new("email@email.com", "login").download(@app).should eq(true)
        }.to raise_error(/.*This Apple ID has been locked for security reasons.*/)
      end

      it "works with correct inputs" do
        @app.apple_id = 794902327
        Establish::ItunesTransporter.new.download(@app).should eq(true)
      end
    end
  end
end
